How To Contribute to gLabels
============================

### Did you find a bug?

* **Ensure the bug has not already been reported** by searching on GitHub under [Issues](https://github.com/jimevins/glabels-qt/issues).  If you have additional information, please contribute to the discussion.

* If you are unable to find an open issue related to the problem, please [open a new one](https://github.com/jimevins/glabels-qt/issues/new).  Be sure to include a **title and clear description** of the problem, as much relevant information as possible, and if appropriate, any **example project files** that demonstrate the problem.


### Did you write a patch that fixes a bug?

* Open a new GitHub pull-request with the patch.

* Ensure the pull-request description clearly describes the problem and your solution.  Include the relevant issue number if applicable.

* Before submitting, please read [CODING-STYLE.md](CODING-STYLE.md).


### Would you like to add a new feature or change an existing one?

* [Open an issue](https://github.com/jimevins/glabels-qt/issues/new) to discuss your plans and start writing code.

* Before submitting a pull-request, please read [CODING-STYLE.md](CODING-STYLE.md) located in this directory.


### Would you like to submit new product templates?

* Before submitting, please read [PRODUCT-TEMPLATES.md](PRODUCT-TEMPLATES.md) located in this directory.

* [Open an issue](https://github.com/jimevins/glabels-qt/issues/new) and attach your completed product template file(s).


### Would you like to provide translations?

* Please read [TRANSLATIONS.md](TRANSLATIONS.md) located in this directory.


### Would you like to write documentation?

* Guidelines TBD


### Would you like to build and package gLabels for a particular platform?

* [Let's talk](https://github.com/jimevins/glabels-qt/issues/new).

* Help is needed in building and packaging for
    - Windows
    - Mac
    - Linux (flatpak)
    - Linux (snap)

* Ideally, such builds can be integrated into the current CMake/CPack build system and automated using a CI service.


### Would you like to donate money?

I would prefer not to take donations at this time. Please donate to another worthwhile organization.

gLabels is a personal project which I work on intermittently, when the itch drives me. I like to walk away occasionally
for extended periods of time. Accepting donations would turn this into an obligation and it would no longer be fun -- at
least that is how I would feel, even if it wasn't necessarily true.
